]> git.argeo.org Git - gpl/argeo-slc.git/commitdiff
Node with repo deployable as RPM
authorMathieu Baudier <mbaudier@argeo.org>
Wed, 12 Oct 2011 21:37:28 +0000 (21:37 +0000)
committerMathieu Baudier <mbaudier@argeo.org>
Wed, 12 Oct 2011 21:37:28 +0000 (21:37 +0000)
git-svn-id: https://svn.argeo.org/slc/trunk@4816 4cfe0d0a-d680-48aa-b62c-e0a02a3f76cc

29 files changed:
dep/org.argeo.slc.dep.backend/pom.xml
dist/org.argeo.slc.sdk/.project [deleted file]
dist/org.argeo.slc.sdk/pom.xml [deleted file]
dist/org.argeo.slc.sdk/src/assembly/devel.xml [deleted file]
dist/org.argeo.slc.sdk/src/assembly/dist.xml [deleted file]
dist/org.argeo.slc.sdk/src/main/base/work/server/conf/config.ini [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/etc/init.d/slc-agent [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/etc/init.d/slc-server [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-agent/config.ini [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-agent/log4j.properties [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-server/config.ini [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-server/log4j.properties [deleted file]
dist/org.argeo.slc.sdk/src/main/rpm/usr/bin/slc [deleted file]
dist/org.argeo.slc.sdk/src/main/scripts/postinstall [deleted file]
dist/org.argeo.slc.sdk/src/main/scripts/preremove [deleted file]
dist/pom.xml
dist/slc-server/.project [new file with mode: 0644]
dist/slc-server/pom.xml [new file with mode: 0644]
dist/slc-server/src/assembly/devel.xml [new file with mode: 0644]
dist/slc-server/src/assembly/dist.xml [new file with mode: 0644]
dist/slc-server/src/main/base/work/server/conf/config.ini [new file with mode: 0644]
dist/slc-server/src/main/rpm/etc/init.d/slc-server [new file with mode: 0644]
dist/slc-server/src/main/rpm/etc/slc-server/config.ini [new file with mode: 0644]
dist/slc-server/src/main/rpm/etc/slc-server/log4j.properties [new file with mode: 0644]
dist/slc-server/src/main/rpm/usr/bin/slc [new file with mode: 0644]
dist/slc-server/src/main/scripts/postinstall [new file with mode: 0644]
dist/slc-server/src/main/scripts/preremove [new file with mode: 0644]
modules/server/org.argeo.slc.server.repo/META-INF/spring/maven.xml
modules/server/org.argeo.slc.server.repo/META-INF/spring/repo-osgi.xml

index 2891b599a02ba6b9a9531ca81c6eb3a87b75c410..671f1d2b5b4b624b31582344611ce185691c476c 100644 (file)
        <dependencies>
                <!-- HACK because of dependencies pb with Maven: version 2.4.0 is required 
                        by Spring-LDAP while Apache Directory takes 2.1.0 -->
-<!--           <dependency> -->
-<!--                   <groupId>org.apache.commons</groupId> -->
-<!--                   <artifactId>com.springsource.org.apache.commons.lang</artifactId> -->
-<!--                   <version>2.4.0</version> -->
-<!--           </dependency> -->
+               <!-- <dependency> -->
+               <!-- <groupId>org.apache.commons</groupId> -->
+               <!-- <artifactId>com.springsource.org.apache.commons.lang</artifactId> -->
+               <!-- <version>2.4.0</version> -->
+               <!-- </dependency> -->
 
                <!-- SLC Agent -->
                <dependency>
@@ -73,7 +73,7 @@
                        <version>${version.slc}</version>
                </dependency>
 
-               <!-- SLC Server -->
+               <!-- Node -->
                <dependency>
                        <groupId>org.argeo.commons.security</groupId>
                        <artifactId>org.argeo.security.dep.node</artifactId>
                        <artifactId>org.argeo.slc.support.jcr</artifactId>
                        <version>0.13.1-SNAPSHOT</version>
                </dependency>
+
+               <!-- SLC Repo -->
                <dependency>
                        <groupId>org.argeo.slc.runtime</groupId>
                        <artifactId>org.argeo.slc.repo</artifactId>
+                       <version>0.13.1-SNAPSHOT</version>
+               </dependency>
+               <dependency>
+                       <groupId>org.argeo.slc.modules</groupId>
+                       <artifactId>org.argeo.slc.server.repo</artifactId>
+                       <version>${version.slc}</version>
+               </dependency>
+               <dependency>
+                       <groupId>org.argeo.slc.modules</groupId>
+                       <artifactId>org.argeo.slc.server.repo.webapp</artifactId>
                        <version>${version.slc}</version>
                </dependency>
 
diff --git a/dist/org.argeo.slc.sdk/.project b/dist/org.argeo.slc.sdk/.project
deleted file mode 100644 (file)
index 1f3568b..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
-       <name>org.argeo.slc.sdk</name>
-       <comment></comment>
-       <projects>
-       </projects>
-       <buildSpec>
-       </buildSpec>
-       <natures>
-       </natures>
-</projectDescription>
diff --git a/dist/org.argeo.slc.sdk/pom.xml b/dist/org.argeo.slc.sdk/pom.xml
deleted file mode 100644 (file)
index 2e33e26..0000000
+++ /dev/null
@@ -1,366 +0,0 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-       xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-       <modelVersion>4.0.0</modelVersion>
-       <parent>
-               <groupId>org.argeo.slc</groupId>
-               <artifactId>dist</artifactId>
-               <version>0.13.1-SNAPSHOT</version>
-       </parent>
-       <groupId>org.argeo.slc.dist</groupId>
-       <artifactId>org.argeo.slc.sdk</artifactId>
-       <packaging>pom</packaging>
-       <name>SLC SDK</name>
-       <properties>
-               <argeo.p2.cmd>/opt/equinox-p2-agent/eclipse</argeo.p2.cmd>
-               <argeo.p2.repository>/var/argeo/projects/SLC/www/sdk-dev</argeo.p2.repository>
-       </properties>
-       <build>
-               <plugins>
-                       <plugin>
-                               <groupId>org.apache.maven.plugins</groupId>
-                               <artifactId>maven-dependency-plugin</artifactId>
-                               <executions>
-                                       <execution>
-                                               <id>copy-dependencies</id>
-                                               <phase>process-resources</phase>
-                                               <goals>
-                                                       <goal>copy-dependencies</goal>
-                                               </goals>
-                                               <configuration>
-                                                       <includeTypes>jar</includeTypes>
-                                                       <outputDirectory>${project.build.directory}/lib</outputDirectory>
-                                               </configuration>
-                                       </execution>
-                               </executions>
-                       </plugin>
-                       <plugin>
-                               <groupId>org.argeo.maven.plugins</groupId>
-                               <artifactId>maven-argeo-osgi-plugin</artifactId>
-                               <version>${version.maven-argeo-osgi}</version>
-                               <executions>
-                                       <execution>
-                                               <id>pde-source</id>
-                                               <phase>process-resources</phase>
-                                               <goals>
-                                                       <goal>pde-sources</goal>
-                                               </goals>
-                                               <configuration>
-                                                       <copyArtifacts>true</copyArtifacts>
-                                               </configuration>
-                                       </execution>
-                                       <execution>
-                                               <id>check-osgi</id>
-                                               <phase>test</phase>
-                                               <goals>
-                                                       <goal>equinox</goal>
-                                               </goals>
-                                               <configuration>
-                                                       <useDependencies>false</useDependencies>
-                                                       <onlyCheck>true</onlyCheck>
-                                                       <argsToAppend>
-                                                               <arg>-clean</arg>
-                                                       </argsToAppend>
-                                                       <systemProperties>
-                                                               <!-- Make sure that no bundle will be started -->
-                                                               <argeo.osgi.start>XXX</argeo.osgi.start>
-                                                               <argeo.osgi.bundles>
-                                                                       ${project.build.directory}/lib;in=*.jar,
-                                                               </argeo.osgi.bundles>
-                                                       </systemProperties>
-                                               </configuration>
-                                       </execution>
-                               </executions>
-                       </plugin>
-                       <plugin>
-                               <artifactId>maven-resources-plugin</artifactId>
-                               <executions>
-                                       <execution>
-                                               <id>filter-base</id>
-                                               <phase>process-resources</phase>
-                                               <goals>
-                                                       <goal>copy-resources</goal>
-                                               </goals>
-                                               <configuration>
-                                                       <outputDirectory>${basedir}/target/base</outputDirectory>
-                                                       <resources>
-                                                               <resource>
-                                                                       <directory>src/main/base</directory>
-                                                                       <filtering>true</filtering>
-                                                               </resource>
-                                                       </resources>
-                                               </configuration>
-                                       </execution>
-                               </executions>
-                       </plugin>
-                       <plugin>
-                               <groupId>org.apache.maven.plugins</groupId>
-                               <artifactId>maven-assembly-plugin</artifactId>
-                               <configuration>
-                                       <descriptors>
-                                               <descriptor>src/assembly/dist.xml</descriptor>
-                                               <descriptor>src/assembly/devel.xml</descriptor>
-                                       </descriptors>
-                               </configuration>
-                               <executions>
-                                       <execution>
-                                               <id>attach-assembly</id>
-                                               <phase>package</phase>
-                                               <goals>
-                                                       <goal>single</goal>
-                                               </goals>
-                                       </execution>
-                               </executions>
-                       </plugin>
-                       <!-- <plugin> <groupId>org.codehaus.mojo</groupId> <artifactId>exec-maven-plugin</artifactId> 
-                               <version>1.1</version> <executions> <execution> <id>create-repository</id> 
-                               <phase>deploy</phase> <goals> <goal>exec</goal> </goals> </execution> </executions> 
-                               <configuration> <executable>${argeo.p2.cmd}</executable> optional <workingDirectory>/tmp</workingDirectory> 
-                               <arguments> <argument>-noSplash</argument> <argument>-application</argument> 
-                               <argument>org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher</argument> 
-                               <argument>-metadataRepository</argument> <argument>file:${argeo.p2.repository}</argument> 
-                               <argument>-artifactRepository</argument> <argument>file:${argeo.p2.repository}</argument> 
-                               <argument>-bundles</argument> <argument>${project.build.directory}</argument> 
-                               <argument>-features</argument> <argument>${project.build.directory}</argument> 
-                               <argument>-compress</argument> <argument>-publishArtifacts</argument> </arguments> 
-                               </configuration> </plugin> -->
-                       <!-- <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-antrun-plugin</artifactId> 
-                               <executions> <execution> <id>p2-copyToRepo</id> <phase>deploy</phase> <goals> 
-                               <goal>run</goal> </goals> <configuration> <tasks> <mkdir dir="${project.build.directory}/repobase" 
-                               /> <copy todir="${project.build.directory}/repobase"> <fileset dir="${project.build.directory}/lib"> 
-                               <include name="*.jar" /> </fileset> <fileset dir="${project.build.directory}/libsrc"> 
-                               <include name="*.jar" /> </fileset> </copy> <exec executable="${argeo.p2.cmd}"> 
-                               <arg value="-noSplash" /> <arg value="-application" /> <arg value="org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher" 
-                               /> <arg value="-metadataRepository" /> <arg value="file:${argeo.p2.repository}" 
-                               /> <arg value="-artifactRepository" /> <arg value="file:${argeo.p2.repository}" 
-                               /> <arg value="-bundles" /> <arg value="${project.build.directory}/repobase" 
-                               /> <arg value="-features" /> <arg value="${project.build.directory}/repobase" 
-                               /> <arg value="-compress" /> <arg value="-publishArtifacts" /> </exec> </tasks> 
-                               </configuration> </execution> </executions> </plugin> -->
-               </plugins>
-       </build>
-       <dependencies>
-               <dependency>
-                       <groupId>org.argeo.slc.dep</groupId>
-                       <artifactId>org.argeo.slc.dep.sdk.rcp</artifactId>
-                       <version>${version.slc}</version>
-               </dependency>
-       </dependencies>
-       <profiles>
-               <profile>
-                       <id>rpmbuild</id>
-
-                       <activation>
-                               <os>
-                                       <name>Linux</name>
-                               </os>
-                               <file>
-                                       <exists>/usr/bin/rpmbuild</exists>
-                               </file>
-                       </activation>
-
-                       <properties>
-                               <package.version>${version.slc}</package.version>
-                               <distribution.label>argeo</distribution.label>
-                               <distribution.root>/var/argeo/linux/argeo-el/5/argeo-testing</distribution.root>
-                       </properties>
-                       <build>
-                               <plugins>
-                                       <plugin>
-                                               <groupId>org.codehaus.mojo</groupId>
-                                               <artifactId>rpm-maven-plugin</artifactId>
-                                               <version>2.1-alpha-1</version>
-                                               <extensions>true</extensions>
-                                               <configuration>
-                                                       <version>${package.version}</version>
-                                                       <release>r${buildNumber}.${distribution.label}</release>
-                                                       <copyright>2010 Argeo</copyright>
-                                                       <distribution>${distribution.label}</distribution>
-                                                       <packager>mbaudier@argeo.org</packager>
-                                                       <group>Applications/System</group>
-                                                       <prefix>/usr</prefix>
-                                               </configuration>
-                                               <executions>
-                                                       <execution>
-                                                               <id>rpm-sdk</id>
-                                                               <phase>deploy</phase>
-                                                               <goals>
-                                                                       <goal>rpm</goal>
-                                                               </goals>
-                                                               <configuration>
-                                                                       <mappings>
-                                                                               <mapping>
-                                                                                       <directory>/usr/bin</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>755</filemode>
-                                                                                       <directoryIncluded>false</directoryIncluded>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>src/main/rpm/usr/bin</location>
-                                                                                                       <includes>
-                                                                                                               <include>*</include>
-                                                                                                       </includes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                               <mapping>
-                                                                                       <directory>/etc/init.d</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>755</filemode>
-                                                                                       <directoryIncluded>false</directoryIncluded>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>src/main/rpm/etc/init.d</location>
-                                                                                                       <includes>
-                                                                                                               <include>*</include>
-                                                                                                       </includes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                               <mapping>
-                                                                                       <directory>/etc/slc-agent</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>644</filemode>
-                                                                                       <configuration>true</configuration>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>src/main/rpm/etc/slc-agent</location>
-                                                                                                       <includes>
-                                                                                                               <include>*</include>
-                                                                                                       </includes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                               <mapping>
-                                                                                       <directory>/etc/slc-server</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>644</filemode>
-                                                                                       <configuration>true</configuration>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>src/main/rpm/etc/slc-server</location>
-                                                                                                       <includes>
-                                                                                                               <include>*</include>
-                                                                                                       </includes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                               <mapping>
-                                                                                       <directory>/usr/share/osgi</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>644</filemode>
-                                                                                       <directoryIncluded>false</directoryIncluded>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>target/lib</location>
-                                                                                                       <includes>
-                                                                                                               <include>*.jar</include>
-                                                                                                       </includes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                       </mappings>
-                                                                       <postinstallScriptlet>
-                                                                               <scriptFile>src/main/scripts/postinstall</scriptFile>
-                                                                       </postinstallScriptlet>
-                                                                       <preremoveScriptlet>
-                                                                               <scriptFile>src/main/scripts/preremove</scriptFile>
-                                                                       </preremoveScriptlet>
-                                                                       <requires>
-                                                                               <require>java</require>
-                                                                               <!-- For the start/stop scripts -->
-                                                                               <require>expect</require>
-                                                                       </requires>
-                                                               </configuration>
-                                                       </execution>
-                                                       <execution>
-                                                               <id>rpm-devel</id>
-                                                               <phase>deploy</phase>
-                                                               <goals>
-                                                                       <goal>rpm</goal>
-                                                               </goals>
-                                                               <configuration>
-                                                                       <name>${project.artifactId}-pdesources</name>
-                                                                       <mappings>
-                                                                               <mapping>
-                                                                                       <directory>/usr/src/osgi/pde</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>644</filemode>
-                                                                                       <directoryIncluded>false</directoryIncluded>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>target/libsrc</location>
-                                                                                                       <includes>
-                                                                                                               <include>*.jar</include>
-                                                                                                       </includes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                       </mappings>
-                                                                       <requires>
-                                                                               <require>org.argeo.slc.sdk</require>
-                                                                       </requires>
-                                                               </configuration>
-                                                       </execution>
-                                                       <execution>
-                                                               <id>rpm-demo</id>
-                                                               <phase>deploy</phase>
-                                                               <goals>
-                                                                       <goal>rpm</goal>
-                                                               </goals>
-                                                               <configuration>
-                                                                       <name>${project.artifactId}-demo</name>
-                                                                       <mappings>
-                                                                               <mapping>
-                                                                                       <directory>/var/lib/slc-agent/modules</directory>
-                                                                                       <username>root</username>
-                                                                                       <groupname>root</groupname>
-                                                                                       <filemode>644</filemode>
-                                                                                       <directoryIncluded>false</directoryIncluded>
-                                                                                       <sources>
-                                                                                               <source>
-                                                                                                       <location>../../demo/site</location>
-                                                                                                       <includes>
-                                                                                                               <include>org.argeo.*/**</include>
-                                                                                                       </includes>
-                                                                                                       <excludes>
-                                                                                                               <exclude>pom.xml</exclude>
-                                                                                                               <exclude>target</exclude>
-                                                                                                               <exclude>.svn</exclude>
-                                                                                                               <exclude>**/.svn/**</exclude>
-                                                                                                       </excludes>
-                                                                                               </source>
-                                                                                       </sources>
-                                                                               </mapping>
-                                                                       </mappings>
-                                                                       <requires>
-                                                                               <require>org.argeo.slc.sdk</require>
-                                                                               <!-- <require> org.argeo.slc.dep.sdk.rcp</require> -->
-                                                                       </requires>
-                                                               </configuration>
-                                                       </execution>
-                                               </executions>
-                                       </plugin>
-                                       <!-- <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-antrun-plugin</artifactId> 
-                                               <executions> <execution> <id>rpm-copyToRepo</id> <phase>deploy</phase> <goals> 
-                                               <goal>run</goal> </goals> <configuration> <tasks> <mkdir dir="${distribution.root}/i386" 
-                                               /> <mkdir dir="${distribution.root}/x86_64" /> <delete verbose="true"> <fileset 
-                                               dir="${distribution.root}" includes="*/org.argeo.slc.sdk-*.rpm" /> </delete> 
-                                               <copy todir="${distribution.root}/x86_64" verbose="true"> <fileset dir="target"> 
-                                               <include name="rpm/*/RPMS/*/*.rpm" /> </fileset> <flattenmapper /> </copy> 
-                                               <exec executable="/usr/bin/createrepo"> <arg value="${distribution.root}/x86_64" 
-                                               /> </exec> <copy todir="${distribution.root}/i386" verbose="true"> <fileset 
-                                               dir="target"> <include name="rpm/*/RPMS/*/*.rpm" /> </fileset> <flattenmapper 
-                                               /> </copy> <exec executable="/usr/bin/createrepo"> <arg value="${distribution.root}/i386" 
-                                               /> </exec> </tasks> </configuration> </execution> </executions> </plugin> -->
-                               </plugins>
-                       </build>
-
-               </profile>
-       </profiles>
-</project>
\ No newline at end of file
diff --git a/dist/org.argeo.slc.sdk/src/assembly/devel.xml b/dist/org.argeo.slc.sdk/src/assembly/devel.xml
deleted file mode 100644 (file)
index 1eec8ca..0000000
+++ /dev/null
@@ -1,37 +0,0 @@
-<!--
-
-    Copyright (C) 2010 Mathieu Baudier <mbaudier@argeo.org>
-
-    Licensed under the Apache License, Version 2.0 (the "License");
-    you may not use this file except in compliance with the License.
-    You may obtain a copy of the License at
-
-            http://www.apache.org/licenses/LICENSE-2.0
-
-    Unless required by applicable law or agreed to in writing, software
-    distributed under the License is distributed on an "AS IS" BASIS,
-    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-    See the License for the specific language governing permissions and
-    limitations under the License.
-
--->
-
-<assembly
-       xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
-       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-       xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
-       <id>devel</id>
-       <baseDirectory>slc</baseDirectory>
-       <formats>
-               <format>zip</format>
-       </formats>
-       <fileSets>
-               <fileSet>
-                       <directory>target/libsrc</directory>
-                       <outputDirectory>libsrc</outputDirectory>
-                       <includes>
-                               <include>*</include>
-                       </includes>
-               </fileSet>
-       </fileSets>
-</assembly>
\ No newline at end of file
diff --git a/dist/org.argeo.slc.sdk/src/assembly/dist.xml b/dist/org.argeo.slc.sdk/src/assembly/dist.xml
deleted file mode 100644 (file)
index f9ffc4c..0000000
+++ /dev/null
@@ -1,55 +0,0 @@
-<!--
-
-    Copyright (C) 2010 Mathieu Baudier <mbaudier@argeo.org>
-
-    Licensed under the Apache License, Version 2.0 (the "License");
-    you may not use this file except in compliance with the License.
-    You may obtain a copy of the License at
-
-            http://www.apache.org/licenses/LICENSE-2.0
-
-    Unless required by applicable law or agreed to in writing, software
-    distributed under the License is distributed on an "AS IS" BASIS,
-    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-    See the License for the specific language governing permissions and
-    limitations under the License.
-
--->
-
-<assembly
-       xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
-       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-       xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
-       <id>dist</id>
-       <baseDirectory>slc</baseDirectory>
-       <formats>
-               <format>zip</format>
-       </formats>
-       <fileSets>
-               <fileSet>
-                       <directory>target/base</directory>
-                       <outputDirectory></outputDirectory>
-                       <includes>
-                               <include>**</include>
-                       </includes>
-               </fileSet>
-       </fileSets>
-       <dependencySets>
-               <dependencySet>
-                       <unpack>false</unpack>
-                       <outputFileNameMapping>${artifact.artifactId}-${artifact.baseVersion}.${artifact.extension}
-                       </outputFileNameMapping>
-                       <outputDirectory>lib</outputDirectory>
-                       <includes>
-                               <include>*:jar</include>
-                       </includes>
-               </dependencySet>
-               <dependencySet>
-                       <unpack>true</unpack>
-                       <includes>
-                               <include>org.argeo.slc.runtime:org.argeo.slc.launcher:tar.gz:base
-                               </include>
-                       </includes>
-               </dependencySet>
-       </dependencySets>
-</assembly>
\ No newline at end of file
diff --git a/dist/org.argeo.slc.sdk/src/main/base/work/server/conf/config.ini b/dist/org.argeo.slc.sdk/src/main/base/work/server/conf/config.ini
deleted file mode 100644 (file)
index 30d4ab2..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-osgi.bundles=org.argeo.osgi.boot-${version.argeo-commons}.jar@start
-argeo.osgi.bundles=${osgi.install.area};in=*.jar
-argeo.osgi.start=org.springframework.osgi.extender,\
-       org.argeo.server.ads.server,\
-       org.argeo.slc.server.hsqldb,\
-       org.argeo.slc.server.main,\
-       org.argeo.slc.ria
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/etc/init.d/slc-agent b/dist/org.argeo.slc.sdk/src/main/rpm/etc/init.d/slc-agent
deleted file mode 100644 (file)
index a50105f..0000000
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/bin/bash
-#
-# slc-agent    SLC Agent
-#
-# chkconfig: 3 92 92
-# description: SLC Agent
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-RETVAL=0
-
-start() {
-       EXECDIR=/var/lib/slc-agent
-       cd $EXECDIR
-       export JAVA_OPTS=-Xmx128m
-       /usr/bin/slc -console 3030 &
-       action $"Start SLC agent" /bin/true
-       return $RETVAL
-}
-
-stop() {
-       /usr/bin/expect  << EOF
-spawn telnet localhost 3030
-expect "osgi>"
-send "close\r"
-EOF
-       action $"Stop SLC agent" /bin/true
-       return $RETVAL
-}
-
-# See how we were called.
-case "$1" in
-  start)
-        start
-        ;;
-  stop)
-        stop
-        ;;
-  restart|reload)
-        stop
-        start
-        RETVAL=$?
-        ;;
-  condrestart)
-               echo Not implemented
-               exit 1
-        ;;
-  status)
-               echo Not implemented
-               exit 1
-        ;;
-  *)
-        echo $"Usage: $0 {start|stop|restart}"
-        exit 1
-esac
-
-exit $RETVAL
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/etc/init.d/slc-server b/dist/org.argeo.slc.sdk/src/main/rpm/etc/init.d/slc-server
deleted file mode 100644 (file)
index cc98549..0000000
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/bin/bash
-#
-# slc-server   SLC Server
-#
-# chkconfig: 3 92 92
-# description: SLC Server
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-RETVAL=0
-
-start() {
-       EXECDIR=/var/lib/slc-server
-       cd $EXECDIR
-       export JAVA_OPTS=-Xmx256m
-       /usr/bin/slc -console 3040 &
-       action $"Start SLC server" /bin/true
-       return $RETVAL
-}
-
-stop() {
-       /usr/bin/expect  << EOF
-spawn telnet localhost 3040
-expect "osgi>"
-send "close\r"
-EOF
-       action $"Stop SLC server" /bin/true
-       return $RETVAL
-}
-
-# See how we were called.
-case "$1" in
-  start)
-        start
-        ;;
-  stop)
-        stop
-        ;;
-  restart|reload)
-        stop
-        start
-        RETVAL=$?
-        ;;
-  condrestart)
-               echo Not implemented
-               exit 1
-        ;;
-  status)
-               echo Not implemented
-               exit 1
-        ;;
-  *)
-        echo $"Usage: $0 {start|stop|restart}"
-        exit 1
-esac
-
-exit $RETVAL
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-agent/config.ini b/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-agent/config.ini
deleted file mode 100644 (file)
index 6e389c8..0000000
+++ /dev/null
@@ -1,14 +0,0 @@
-argeo.osgi.start=\
-org.springframework.osgi.extender,\
-org.argeo.slc.agent,\
-org.argeo.slc.agent.jms,\
-org.argeo.slc.support.equinox
-
-log4j.configuration=file:/etc/slc-agent/log4j.properties
-
-# ADVANCED PROPERTIES
-# should not be changed in general
-osgi.bundles=org.argeo.osgi.boot.jar@start
-argeo.osgi.bundles=\
-/var/lib/slc-agent/lib;in=*,\
-/var/lib/slc-agent/modules;in=*
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-agent/log4j.properties b/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-agent/log4j.properties
deleted file mode 100644 (file)
index 5e2db1e..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-log4j.rootLogger=WARN, file
-#log4j.rootLogger=WARN, console
-
-## Levels
-log4j.logger.org.argeo=INFO
-#log4j.logger.org.springframework=DEBUG
-
-## Appenders
-log4j.appender.console=org.apache.log4j.ConsoleAppender
-log4j.appender.console.layout=org.apache.log4j.PatternLayout
-log4j.appender.console.layout.ConversionPattern= %-5p %d{ISO8601} %m - %c%n
-
-log4j.appender.file=org.apache.log4j.RollingFileAppender
-log4j.appender.file.File=/var/log/slc-agent.log
-log4j.appender.file.layout=org.apache.log4j.PatternLayout
-log4j.appender.file.layout.ConversionPattern= %-5p %d{ISO8601} %m - %c%n
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-server/config.ini b/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-server/config.ini
deleted file mode 100644 (file)
index a63f849..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-argeo.osgi.start=\
-org.springframework.osgi.extender,\
-org.argeo.server.ads.server,\
-org.argeo.slc.server.hsqldb,\
-org.argeo.slc.server.main,\
-org.argeo.slc.ria
-
-log4j.configuration=file:/etc/slc-server/log4j.properties
-
-org.osgi.framework.bootdelegation=com.sun.jndi.ldap
-
-# ADVANCED PROPERTIES
-# should not be changed in general
-osgi.bundles=org.argeo.osgi.boot.jar@start
-argeo.osgi.bundles=/var/lib/slc-server/lib;in=*
-       
\ No newline at end of file
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-server/log4j.properties b/dist/org.argeo.slc.sdk/src/main/rpm/etc/slc-server/log4j.properties
deleted file mode 100644 (file)
index 5646e20..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-log4j.rootLogger=WARN, file
-#log4j.rootLogger=WARN, console
-
-## Levels
-log4j.logger.org.argeo=INFO
-#log4j.logger.org.springframework=DEBUG
-#log4j.logger.org.hibernate=DEBUG
-#log4j.logger.org.apache.activemq=DEBUG
-
-log4j.logger.org.apache.directory.server.core.partition=ERROR
-log4j.logger.org.apache.directory.server.core.schema.bootstrap.BootstrapAttributeTypeRegistry=ERROR
-
-## Appenders
-log4j.appender.console=org.apache.log4j.ConsoleAppender
-log4j.appender.console.layout=org.apache.log4j.PatternLayout
-log4j.appender.console.layout.ConversionPattern= %-5p %d{ISO8601} [%15.15t] %m - %c%n - %t
-
-log4j.appender.file=org.apache.log4j.RollingFileAppender
-log4j.appender.file.File=/var/log/slc-server.log
-log4j.appender.file.layout=org.apache.log4j.PatternLayout
-log4j.appender.file.layout.ConversionPattern= %-5p %d{ISO8601} [%15.15t] %m - %c%n
diff --git a/dist/org.argeo.slc.sdk/src/main/rpm/usr/bin/slc b/dist/org.argeo.slc.sdk/src/main/rpm/usr/bin/slc
deleted file mode 100644 (file)
index 5f72472..0000000
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-if [ -d ./lib ];then
-       OSGI_INSTALL_AREA=`pwd`/lib
-else
-       OSGI_INSTALL_AREA=/usr/share/osgi
-fi
-
-
-java $JAVA_OPTS -jar $OSGI_INSTALL_AREA/org.eclipse.osgi.jar \
-       -clean \
-       -configuration conf \
-       -data data \
-       "$@"
diff --git a/dist/org.argeo.slc.sdk/src/main/scripts/postinstall b/dist/org.argeo.slc.sdk/src/main/scripts/postinstall
deleted file mode 100644 (file)
index 9d9f306..0000000
+++ /dev/null
@@ -1,23 +0,0 @@
-if [ ! -L /usr/share/osgi/org.eclipse.osgi.jar ];then
-       ln -s /usr/share/osgi/org.eclipse.osgi-*.jar /usr/share/osgi/org.eclipse.osgi.jar
-fi
-
-if [ ! -L /usr/share/osgi/org.argeo.osgi.boot.jar ];then
-       ln -s /usr/share/osgi/org.argeo.osgi.boot-*.jar /usr/share/osgi/org.argeo.osgi.boot.jar
-fi
-
-if [ $1 = "1" ];then
-       APP=slc-agent
-       mkdir -p /var/lib/$APP/{conf,data}
-       ln -s /etc/$APP/config.ini /var/lib/$APP/conf
-       mkdir -p /var/lib/$APP/lib
-       ln -s /usr/share/osgi/* /var/lib/$APP/lib
-       /sbin/chkconfig --add $APP
-
-       APP=slc-server
-       mkdir -p /var/lib/$APP/{conf,data}
-       ln -s /etc/$APP/config.ini /var/lib/$APP/conf
-       mkdir -p /var/lib/$APP/lib
-       ln -s /usr/share/osgi/* /var/lib/$APP/lib
-       /sbin/chkconfig --add $APP
-fi
\ No newline at end of file
diff --git a/dist/org.argeo.slc.sdk/src/main/scripts/preremove b/dist/org.argeo.slc.sdk/src/main/scripts/preremove
deleted file mode 100644 (file)
index 7973170..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
-if [ $1 = "0" ];then
-       rm -f /usr/share/osgi/org.argeo.osgi.boot.jar
-       rm -f /usr/share/osgi/org.eclipse.osgi.jar
-
-       APP=slc-agent
-       /sbin/chkconfig --del $APP
-       rm -f /var/lib/$APP/conf/config.ini
-       rm -rf /var/lib/$APP/lib
-
-       APP=slc-server
-       /sbin/chkconfig --del $APP
-       rm -f /var/lib/$APP/conf/config.ini
-       rm -rf /var/lib/$APP/lib
-
-fi
index 212fe016f1d4ecc6a25308093d5b7e956cad422f..cb6a39a58c9c60e6f177e77014127f17f5f95e06 100644 (file)
@@ -1,4 +1,5 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
        <modelVersion>4.0.0</modelVersion>
        <parent>
                <groupId>org.argeo.slc</groupId>
@@ -11,6 +12,6 @@
        <packaging>pom</packaging>
        <name>SLC Distribution</name>
        <modules>
-<!--           <module>org.argeo.slc.sdk</module> -->
+               <module>slc-server</module>
        </modules>
 </project>
\ No newline at end of file
diff --git a/dist/slc-server/.project b/dist/slc-server/.project
new file mode 100644 (file)
index 0000000..1f3568b
--- /dev/null
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+       <name>org.argeo.slc.sdk</name>
+       <comment></comment>
+       <projects>
+       </projects>
+       <buildSpec>
+       </buildSpec>
+       <natures>
+       </natures>
+</projectDescription>
diff --git a/dist/slc-server/pom.xml b/dist/slc-server/pom.xml
new file mode 100644 (file)
index 0000000..efe9034
--- /dev/null
@@ -0,0 +1,354 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+       <modelVersion>4.0.0</modelVersion>
+       <parent>
+               <groupId>org.argeo.slc</groupId>
+               <artifactId>dist</artifactId>
+               <version>0.13.1-SNAPSHOT</version>
+       </parent>
+       <groupId>org.argeo.slc.dist</groupId>
+       <artifactId>slc-server</artifactId>
+       <packaging>pom</packaging>
+       <name>SLC Server</name>
+       <properties>
+               <argeo.p2.cmd>/opt/equinox-p2-agent/eclipse</argeo.p2.cmd>
+               <argeo.p2.repository>/var/argeo/projects/SLC/www/sdk-dev</argeo.p2.repository>
+       </properties>
+       <build>
+               <plugins>
+                       <plugin>
+                               <groupId>org.apache.maven.plugins</groupId>
+                               <artifactId>maven-dependency-plugin</artifactId>
+                               <executions>
+                                       <execution>
+                                               <id>copy-dependencies</id>
+                                               <phase>process-resources</phase>
+                                               <goals>
+                                                       <goal>copy-dependencies</goal>
+                                               </goals>
+                                               <configuration>
+                                                       <includeTypes>jar</includeTypes>
+                                                       <outputDirectory>${project.build.directory}/lib</outputDirectory>
+                                               </configuration>
+                                       </execution>
+                               </executions>
+                       </plugin>
+<!--                   <plugin> -->
+<!--                           <groupId>org.argeo.maven.plugins</groupId> -->
+<!--                           <artifactId>maven-argeo-osgi-plugin</artifactId> -->
+<!--                           <version>${version.maven-argeo-osgi}</version> -->
+<!--                           <executions> -->
+<!--                                   <execution> -->
+<!--                                   <id>pde-source</id> -->
+<!--                                   <phase>process-resources</phase> -->
+<!--                                   <goals> -->
+<!--                                   <goal>pde-sources</goal> -->
+<!--                                   </goals> -->
+<!--                                   <configuration> -->
+<!--                                   <copyArtifacts>true</copyArtifacts> -->
+<!--                                   </configuration> -->
+<!--                                   </execution> -->
+<!--                                   <execution> -->
+<!--                                           <id>check-osgi</id> -->
+<!--                                           <phase>test</phase> -->
+<!--                                           <goals> -->
+<!--                                                   <goal>equinox</goal> -->
+<!--                                           </goals> -->
+<!--                                           <configuration> -->
+<!--                                                   <useDependencies>false</useDependencies> -->
+<!--                                                   <onlyCheck>true</onlyCheck> -->
+<!--                                                   <argsToAppend> -->
+<!--                                                           <arg>-clean</arg> -->
+<!--                                                   </argsToAppend> -->
+<!--                                                   <systemProperties> -->
+<!--                                                           <argeo.osgi.start>XXX</argeo.osgi.start> -->
+<!--                                                           <argeo.osgi.bundles> -->
+<!--                                                                   ${project.build.directory}/lib;in=*.jar, -->
+<!--                                                           </argeo.osgi.bundles> -->
+<!--                                                   </systemProperties> -->
+<!--                                           </configuration> -->
+<!--                                   </execution> -->
+<!--                           </executions> -->
+<!--                   </plugin> -->
+                       <plugin>
+                               <artifactId>maven-resources-plugin</artifactId>
+                               <executions>
+                                       <execution>
+                                               <id>filter-base</id>
+                                               <phase>process-resources</phase>
+                                               <goals>
+                                                       <goal>copy-resources</goal>
+                                               </goals>
+                                               <configuration>
+                                                       <outputDirectory>${basedir}/target/base</outputDirectory>
+                                                       <resources>
+                                                               <resource>
+                                                                       <directory>src/main/base</directory>
+                                                                       <filtering>true</filtering>
+                                                               </resource>
+                                                       </resources>
+                                               </configuration>
+                                       </execution>
+                               </executions>
+                       </plugin>
+                       <!-- <plugin> -->
+                       <!-- <groupId>org.apache.maven.plugins</groupId> -->
+                       <!-- <artifactId>maven-assembly-plugin</artifactId> -->
+                       <!-- <configuration> -->
+                       <!-- <descriptors> -->
+                       <!-- <descriptor>src/assembly/dist.xml</descriptor> -->
+                       <!-- <descriptor>src/assembly/devel.xml</descriptor> -->
+                       <!-- </descriptors> -->
+                       <!-- </configuration> -->
+                       <!-- <executions> -->
+                       <!-- <execution> -->
+                       <!-- <id>attach-assembly</id> -->
+                       <!-- <phase>deploy</phase> -->
+                       <!-- <goals> -->
+                       <!-- <goal>single</goal> -->
+                       <!-- </goals> -->
+                       <!-- </execution> -->
+                       <!-- </executions> -->
+                       <!-- </plugin> -->
+                       <!-- <plugin> <groupId>org.codehaus.mojo</groupId> <artifactId>exec-maven-plugin</artifactId> 
+                               <version>1.1</version> <executions> <execution> <id>create-repository</id> 
+                               <phase>deploy</phase> <goals> <goal>exec</goal> </goals> </execution> </executions> 
+                               <configuration> <executable>${argeo.p2.cmd}</executable> optional <workingDirectory>/tmp</workingDirectory> 
+                               <arguments> <argument>-noSplash</argument> <argument>-application</argument> 
+                               <argument>org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher</argument> 
+                               <argument>-metadataRepository</argument> <argument>file:${argeo.p2.repository}</argument> 
+                               <argument>-artifactRepository</argument> <argument>file:${argeo.p2.repository}</argument> 
+                               <argument>-bundles</argument> <argument>${project.build.directory}</argument> 
+                               <argument>-features</argument> <argument>${project.build.directory}</argument> 
+                               <argument>-compress</argument> <argument>-publishArtifacts</argument> </arguments> 
+                               </configuration> </plugin> -->
+                       <!-- <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-antrun-plugin</artifactId> 
+                               <executions> <execution> <id>p2-copyToRepo</id> <phase>deploy</phase> <goals> 
+                               <goal>run</goal> </goals> <configuration> <tasks> <mkdir dir="${project.build.directory}/repobase" 
+                               /> <copy todir="${project.build.directory}/repobase"> <fileset dir="${project.build.directory}/lib"> 
+                               <include name="*.jar" /> </fileset> <fileset dir="${project.build.directory}/libsrc"> 
+                               <include name="*.jar" /> </fileset> </copy> <exec executable="${argeo.p2.cmd}"> 
+                               <arg value="-noSplash" /> <arg value="-application" /> <arg value="org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher" 
+                               /> <arg value="-metadataRepository" /> <arg value="file:${argeo.p2.repository}" 
+                               /> <arg value="-artifactRepository" /> <arg value="file:${argeo.p2.repository}" 
+                               /> <arg value="-bundles" /> <arg value="${project.build.directory}/repobase" 
+                               /> <arg value="-features" /> <arg value="${project.build.directory}/repobase" 
+                               /> <arg value="-compress" /> <arg value="-publishArtifacts" /> </exec> </tasks> 
+                               </configuration> </execution> </executions> </plugin> -->
+               </plugins>
+       </build>
+       <dependencies>
+               <dependency>
+                       <groupId>org.argeo.slc.dep</groupId>
+                       <artifactId>org.argeo.slc.dep.sdk.rap</artifactId>
+                       <version>0.13.1-SNAPSHOT</version>
+                       <exclusions>
+                               <exclusion>
+                                       <groupId>org.eclipse.osgi</groupId>
+                                       <artifactId>org.eclipse.osgi</artifactId>
+                               </exclusion>
+                               <exclusion>
+                                       <groupId>org.argeo.commons.osgi</groupId>
+                                       <artifactId>org.argeo.osgi.boot</artifactId>
+                               </exclusion>
+                       </exclusions>
+               </dependency>
+               <dependency>
+                       <groupId>org.argeo.commons.server</groupId>
+                       <artifactId>org.argeo.server.tomcat</artifactId>
+                       <version>${version.argeo-commons}</version>
+               </dependency>
+               <dependency>
+                       <groupId>org.argeo.commons.security</groupId>
+                       <artifactId>org.argeo.security.dep.ads</artifactId>
+                       <type>pom</type>
+                       <version>${version.argeo-commons}</version>
+               </dependency>
+       </dependencies>
+       <profiles>
+               <profile>
+                       <id>rpmbuild</id>
+                       <build>
+                               <plugins>
+                                       <plugin>
+                                               <groupId>org.codehaus.mojo</groupId>
+                                               <artifactId>rpm-maven-plugin</artifactId>
+                                               <version>2.1-alpha-1</version>
+                                               <extensions>true</extensions>
+                                               <configuration>
+                                                       <version>${project.version}</version>
+                                                       <release>r${buildNumber}.argeo</release>
+                                                       <copyright>2011 Argeo</copyright>
+                                                       <distribution>argeo</distribution>
+                                                       <packager>mbaudier@argeo.org</packager>
+                                                       <group>Applications/System</group>
+                                                       <prefix>/usr</prefix>
+                                               </configuration>
+                                               <executions>
+                                                       <execution>
+                                                               <id>rpm-sdk</id>
+                                                               <phase>package</phase>
+                                                               <goals>
+                                                                       <goal>rpm</goal>
+                                                               </goals>
+                                                               <configuration>
+                                                                       <mappings>
+                                                                               <mapping>
+                                                                                       <directory>/usr/bin</directory>
+                                                                                       <username>root</username>
+                                                                                       <groupname>root</groupname>
+                                                                                       <filemode>755</filemode>
+                                                                                       <directoryIncluded>false</directoryIncluded>
+                                                                                       <sources>
+                                                                                               <source>
+                                                                                                       <location>src/main/rpm/usr/bin</location>
+                                                                                                       <includes>
+                                                                                                               <include>*</include>
+                                                                                                       </includes>
+                                                                                               </source>
+                                                                                       </sources>
+                                                                               </mapping>
+                                                                               <mapping>
+                                                                                       <directory>/etc/init.d</directory>
+                                                                                       <username>root</username>
+                                                                                       <groupname>root</groupname>
+                                                                                       <filemode>755</filemode>
+                                                                                       <directoryIncluded>false</directoryIncluded>
+                                                                                       <sources>
+                                                                                               <source>
+                                                                                                       <location>src/main/rpm/etc/init.d</location>
+                                                                                                       <includes>
+                                                                                                               <include>*</include>
+                                                                                                       </includes>
+                                                                                               </source>
+                                                                                       </sources>
+                                                                               </mapping>
+                                                                               <mapping>
+                                                                                       <directory>/etc/slc-server</directory>
+                                                                                       <username>root</username>
+                                                                                       <groupname>root</groupname>
+                                                                                       <filemode>644</filemode>
+                                                                                       <configuration>true</configuration>
+                                                                                       <sources>
+                                                                                               <source>
+                                                                                                       <location>src/main/rpm/etc/slc-server</location>
+                                                                                                       <includes>
+                                                                                                               <include>*</include>
+                                                                                                       </includes>
+                                                                                               </source>
+                                                                                       </sources>
+                                                                               </mapping>
+                                                                               <mapping>
+                                                                                       <directory>/usr/share/slc-server/lib</directory>
+                                                                                       <username>root</username>
+                                                                                       <groupname>root</groupname>
+                                                                                       <filemode>644</filemode>
+                                                                                       <directoryIncluded>false</directoryIncluded>
+                                                                                       <sources>
+                                                                                               <source>
+                                                                                                       <location>target/lib</location>
+                                                                                                       <includes>
+                                                                                                               <include>*.jar</include>
+                                                                                                       </includes>
+                                                                                               </source>
+                                                                                       </sources>
+                                                                               </mapping>
+                                                                       </mappings>
+                                                                       <postinstallScriptlet>
+                                                                               <scriptFile>src/main/scripts/postinstall</scriptFile>
+                                                                       </postinstallScriptlet>
+                                                                       <preremoveScriptlet>
+                                                                               <scriptFile>src/main/scripts/preremove</scriptFile>
+                                                                       </preremoveScriptlet>
+                                                                       <requires>
+                                                                               <require>osgi-boot</require>
+                                                                       </requires>
+                                                               </configuration>
+                                                       </execution>
+                                                       <!-- <execution> -->
+                                                       <!-- <id>rpm-devel</id> -->
+                                                       <!-- <phase>deploy</phase> -->
+                                                       <!-- <goals> -->
+                                                       <!-- <goal>rpm</goal> -->
+                                                       <!-- </goals> -->
+                                                       <!-- <configuration> -->
+                                                       <!-- <name>${project.artifactId}-pdesources</name> -->
+                                                       <!-- <mappings> -->
+                                                       <!-- <mapping> -->
+                                                       <!-- <directory>/usr/src/osgi/pde</directory> -->
+                                                       <!-- <username>root</username> -->
+                                                       <!-- <groupname>root</groupname> -->
+                                                       <!-- <filemode>644</filemode> -->
+                                                       <!-- <directoryIncluded>false</directoryIncluded> -->
+                                                       <!-- <sources> -->
+                                                       <!-- <source> -->
+                                                       <!-- <location>target/libsrc</location> -->
+                                                       <!-- <includes> -->
+                                                       <!-- <include>*.jar</include> -->
+                                                       <!-- </includes> -->
+                                                       <!-- </source> -->
+                                                       <!-- </sources> -->
+                                                       <!-- </mapping> -->
+                                                       <!-- </mappings> -->
+                                                       <!-- <requires> -->
+                                                       <!-- <require>org.argeo.slc.sdk</require> -->
+                                                       <!-- </requires> -->
+                                                       <!-- </configuration> -->
+                                                       <!-- </execution> -->
+                                                       <!-- <execution> -->
+                                                       <!-- <id>rpm-demo</id> -->
+                                                       <!-- <phase>deploy</phase> -->
+                                                       <!-- <goals> -->
+                                                       <!-- <goal>rpm</goal> -->
+                                                       <!-- </goals> -->
+                                                       <!-- <configuration> -->
+                                                       <!-- <name>${project.artifactId}-demo</name> -->
+                                                       <!-- <mappings> -->
+                                                       <!-- <mapping> -->
+                                                       <!-- <directory>/var/lib/slc-agent/modules</directory> -->
+                                                       <!-- <username>root</username> -->
+                                                       <!-- <groupname>root</groupname> -->
+                                                       <!-- <filemode>644</filemode> -->
+                                                       <!-- <directoryIncluded>false</directoryIncluded> -->
+                                                       <!-- <sources> -->
+                                                       <!-- <source> -->
+                                                       <!-- <location>../../demo/site</location> -->
+                                                       <!-- <includes> -->
+                                                       <!-- <include>org.argeo.*/**</include> -->
+                                                       <!-- </includes> -->
+                                                       <!-- <excludes> -->
+                                                       <!-- <exclude>pom.xml</exclude> -->
+                                                       <!-- <exclude>target</exclude> -->
+                                                       <!-- <exclude>.svn</exclude> -->
+                                                       <!-- <exclude>**/.svn/**</exclude> -->
+                                                       <!-- </excludes> -->
+                                                       <!-- </source> -->
+                                                       <!-- </sources> -->
+                                                       <!-- </mapping> -->
+                                                       <!-- </mappings> -->
+                                                       <!-- <requires> -->
+                                                       <!-- <require>org.argeo.slc.sdk</require> -->
+                                                       <!-- <require> org.argeo.slc.dep.sdk.rcp</require> -->
+                                                       <!-- </requires> -->
+                                                       <!-- </configuration> -->
+                                                       <!-- </execution> -->
+                                               </executions>
+                                       </plugin>
+                                       <!-- <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-antrun-plugin</artifactId> 
+                                               <executions> <execution> <id>rpm-copyToRepo</id> <phase>deploy</phase> <goals> 
+                                               <goal>run</goal> </goals> <configuration> <tasks> <mkdir dir="${distribution.root}/i386" 
+                                               /> <mkdir dir="${distribution.root}/x86_64" /> <delete verbose="true"> <fileset 
+                                               dir="${distribution.root}" includes="*/org.argeo.slc.sdk-*.rpm" /> </delete> 
+                                               <copy todir="${distribution.root}/x86_64" verbose="true"> <fileset dir="target"> 
+                                               <include name="rpm/*/RPMS/*/*.rpm" /> </fileset> <flattenmapper /> </copy> 
+                                               <exec executable="/usr/bin/createrepo"> <arg value="${distribution.root}/x86_64" 
+                                               /> </exec> <copy todir="${distribution.root}/i386" verbose="true"> <fileset 
+                                               dir="target"> <include name="rpm/*/RPMS/*/*.rpm" /> </fileset> <flattenmapper 
+                                               /> </copy> <exec executable="/usr/bin/createrepo"> <arg value="${distribution.root}/i386" 
+                                               /> </exec> </tasks> </configuration> </execution> </executions> </plugin> -->
+                               </plugins>
+                       </build>
+
+               </profile>
+       </profiles>
+</project>
\ No newline at end of file
diff --git a/dist/slc-server/src/assembly/devel.xml b/dist/slc-server/src/assembly/devel.xml
new file mode 100644 (file)
index 0000000..1eec8ca
--- /dev/null
@@ -0,0 +1,37 @@
+<!--
+
+    Copyright (C) 2010 Mathieu Baudier <mbaudier@argeo.org>
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+            http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+
+<assembly
+       xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
+       <id>devel</id>
+       <baseDirectory>slc</baseDirectory>
+       <formats>
+               <format>zip</format>
+       </formats>
+       <fileSets>
+               <fileSet>
+                       <directory>target/libsrc</directory>
+                       <outputDirectory>libsrc</outputDirectory>
+                       <includes>
+                               <include>*</include>
+                       </includes>
+               </fileSet>
+       </fileSets>
+</assembly>
\ No newline at end of file
diff --git a/dist/slc-server/src/assembly/dist.xml b/dist/slc-server/src/assembly/dist.xml
new file mode 100644 (file)
index 0000000..f9ffc4c
--- /dev/null
@@ -0,0 +1,55 @@
+<!--
+
+    Copyright (C) 2010 Mathieu Baudier <mbaudier@argeo.org>
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+            http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+
+<assembly
+       xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
+       <id>dist</id>
+       <baseDirectory>slc</baseDirectory>
+       <formats>
+               <format>zip</format>
+       </formats>
+       <fileSets>
+               <fileSet>
+                       <directory>target/base</directory>
+                       <outputDirectory></outputDirectory>
+                       <includes>
+                               <include>**</include>
+                       </includes>
+               </fileSet>
+       </fileSets>
+       <dependencySets>
+               <dependencySet>
+                       <unpack>false</unpack>
+                       <outputFileNameMapping>${artifact.artifactId}-${artifact.baseVersion}.${artifact.extension}
+                       </outputFileNameMapping>
+                       <outputDirectory>lib</outputDirectory>
+                       <includes>
+                               <include>*:jar</include>
+                       </includes>
+               </dependencySet>
+               <dependencySet>
+                       <unpack>true</unpack>
+                       <includes>
+                               <include>org.argeo.slc.runtime:org.argeo.slc.launcher:tar.gz:base
+                               </include>
+                       </includes>
+               </dependencySet>
+       </dependencySets>
+</assembly>
\ No newline at end of file
diff --git a/dist/slc-server/src/main/base/work/server/conf/config.ini b/dist/slc-server/src/main/base/work/server/conf/config.ini
new file mode 100644 (file)
index 0000000..30d4ab2
--- /dev/null
@@ -0,0 +1,7 @@
+osgi.bundles=org.argeo.osgi.boot-${version.argeo-commons}.jar@start
+argeo.osgi.bundles=${osgi.install.area};in=*.jar
+argeo.osgi.start=org.springframework.osgi.extender,\
+       org.argeo.server.ads.server,\
+       org.argeo.slc.server.hsqldb,\
+       org.argeo.slc.server.main,\
+       org.argeo.slc.ria
diff --git a/dist/slc-server/src/main/rpm/etc/init.d/slc-server b/dist/slc-server/src/main/rpm/etc/init.d/slc-server
new file mode 100644 (file)
index 0000000..3f3257a
--- /dev/null
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# slc-server   SLC Server
+#
+# chkconfig: 3 92 92
+# description: SLC Server
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+start() {
+       /usr/sbin/osgi-service slc-server start
+       action $"Start SLC server" /bin/true
+       return $RETVAL
+}
+
+stop() {
+       /usr/sbin/osgi-service slc-server stop
+       action $"Stop SLC server" /bin/true
+       return $RETVAL
+}
+
+# See how we were called.
+case "$1" in
+  start)
+        start
+        ;;
+  stop)
+        stop
+        ;;
+  restart)
+        stop
+        start
+        RETVAL=$?
+        ;;
+  status)
+               /usr/sbin/osgi-service slc-server status
+        ;;
+  *)
+        echo $"Usage: $0 {start|stop|restart|status}"
+        exit 1
+esac
+
+exit $RETVAL
diff --git a/dist/slc-server/src/main/rpm/etc/slc-server/config.ini b/dist/slc-server/src/main/rpm/etc/slc-server/config.ini
new file mode 100644 (file)
index 0000000..e2a968a
--- /dev/null
@@ -0,0 +1,48 @@
+argeo.osgi.start=\
+org.springframework.osgi.extender,\
+com.springsource.javax.servlet,\
+org.argeo.eclipse.ui,\
+org.eclipse.core.runtime,\
+org.eclipse.equinox.common,\
+org.eclipse.equinox.http.registry,\
+org.eclipse.equinox.launcher,\
+org.argeo.dep.osgi.catalina.start,\
+org.argeo.server.rap.webapp,\
+org.argeo.jackrabbit.webapp,\
+org.argeo.security.dao.ldap,\
+org.argeo.security.equinox,\
+org.argeo.security.services,\
+org.argeo.security.ui,\
+org.argeo.security.ui.rap,\
+org.argeo.server.ads.server,\
+org.argeo.node.repofactory.jackrabbit,\
+org.argeo.node.repo.jackrabbit,\
+org.argeo.slc.node.jackrabbit,\
+org.argeo.slc.server.repo,\
+org.argeo.slc.server.repo.webapp,\
+org.argeo.slc.client.ui,\
+org.argeo.slc.client.rap,\
+org.argeo.slc.agent,\
+org.argeo.slc.agent.jcr,\
+org.springframework.osgi.web.extender,\
+
+#slc.executionModules=org.argeo.infra.slc.rpmfactory,\
+#org.argeo.elgis.rpmfactory,\
+
+org.argeo.security.ui.initialPerspective=org.argeo.slc.client.ui.dist.distributionPerspective
+
+# JCR
+argeo.node.repo.home=data/noderepo
+argeo.node.repo.dburl=jdbc:h2:data/h2/noderepo_db
+
+# LDAP (Apache DS)
+#argeo.ads.init.ldif=osgibundle:init-argeo.ldif
+
+# OSGi MANAGEMENT
+osgi.console=3030
+
+eclipse.ignoreApp=true
+osgi.noShutdown=true
+
+org.osgi.framework.bootdelegation=com.sun.jndi.ldap
+       
\ No newline at end of file
diff --git a/dist/slc-server/src/main/rpm/etc/slc-server/log4j.properties b/dist/slc-server/src/main/rpm/etc/slc-server/log4j.properties
new file mode 100644 (file)
index 0000000..5646e20
--- /dev/null
@@ -0,0 +1,21 @@
+log4j.rootLogger=WARN, file
+#log4j.rootLogger=WARN, console
+
+## Levels
+log4j.logger.org.argeo=INFO
+#log4j.logger.org.springframework=DEBUG
+#log4j.logger.org.hibernate=DEBUG
+#log4j.logger.org.apache.activemq=DEBUG
+
+log4j.logger.org.apache.directory.server.core.partition=ERROR
+log4j.logger.org.apache.directory.server.core.schema.bootstrap.BootstrapAttributeTypeRegistry=ERROR
+
+## Appenders
+log4j.appender.console=org.apache.log4j.ConsoleAppender
+log4j.appender.console.layout=org.apache.log4j.PatternLayout
+log4j.appender.console.layout.ConversionPattern= %-5p %d{ISO8601} [%15.15t] %m - %c%n - %t
+
+log4j.appender.file=org.apache.log4j.RollingFileAppender
+log4j.appender.file.File=/var/log/slc-server.log
+log4j.appender.file.layout=org.apache.log4j.PatternLayout
+log4j.appender.file.layout.ConversionPattern= %-5p %d{ISO8601} [%15.15t] %m - %c%n
diff --git a/dist/slc-server/src/main/rpm/usr/bin/slc b/dist/slc-server/src/main/rpm/usr/bin/slc
new file mode 100644 (file)
index 0000000..5f72472
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ -d ./lib ];then
+       OSGI_INSTALL_AREA=`pwd`/lib
+else
+       OSGI_INSTALL_AREA=/usr/share/osgi
+fi
+
+
+java $JAVA_OPTS -jar $OSGI_INSTALL_AREA/org.eclipse.osgi.jar \
+       -clean \
+       -configuration conf \
+       -data data \
+       "$@"
diff --git a/dist/slc-server/src/main/scripts/postinstall b/dist/slc-server/src/main/scripts/postinstall
new file mode 100644 (file)
index 0000000..543d6f9
--- /dev/null
@@ -0,0 +1,5 @@
+if [ $1 = "1" ];then
+       APP=%{name}
+       mkdir -p /var/lib/$APP/{conf,data}
+       /sbin/chkconfig --add $APP
+fi
\ No newline at end of file
diff --git a/dist/slc-server/src/main/scripts/preremove b/dist/slc-server/src/main/scripts/preremove
new file mode 100644 (file)
index 0000000..7b3932e
--- /dev/null
@@ -0,0 +1,3 @@
+if [ $1 = "0" ];then
+       /sbin/chkconfig --del slc-server
+fi
index 7f6b1d4f1ce368daf2c700362934e98becab73a9..a3708ba39ddda97d138e200599234f2ae12bb6c0 100644 (file)
        </bean>
  -->
  
-       <bean id="mavenAetherTemplate" class="org.argeo.slc.aether.AetherTemplate">
-               <property name="repositorySystem" ref="mavenRepositorySystem" />
-               <property name="repositorySystemSession" ref="mavenRepositorySystemSession" />
-               <property name="remoteRepositories" ref="defaultMavenRepositories" />
-       </bean>
+<!--   <bean id="mavenAetherTemplate" class="org.argeo.slc.aether.AetherTemplate"> -->
+<!--           <property name="repositorySystem" ref="mavenRepositorySystem" /> -->
+<!--           <property name="repositorySystemSession" ref="mavenRepositorySystemSession" /> -->
+<!--           <property name="remoteRepositories" ref="defaultMavenRepositories" /> -->
+<!--   </bean> -->
 
        <!-- Remote repositories -->
        <util:list id="defaultMavenRepositories">
index 1bf904e19b57ef936d88bda2d772e22d9f921df8..bd143cfde09721b7868e0940b54cdf65d018884f 100644 (file)
                filter="(argeo.jcr.repository.alias=slc)" />\r
 \r
        <!-- Maven -->\r
-       <reference id="mavenRepositorySystem" interface="org.sonatype.aether.RepositorySystem"\r
-               filter="(aether.repositorySystemType=maven)" />\r
-       <reference id="mavenRepositorySystemSession" interface="org.sonatype.aether.RepositorySystemSession"\r
-               filter="(aether.repositorySystemType=maven)" />\r
+<!--   <reference id="mavenRepositorySystem" interface="org.sonatype.aether.RepositorySystem" -->\r
+<!--           filter="(aether.repositorySystemType=maven)" /> -->\r
+<!--   <reference id="mavenRepositorySystemSession" interface="org.sonatype.aether.RepositorySystemSession" -->\r
+<!--           filter="(aether.repositorySystemType=maven)" /> -->\r
 \r
        <!-- SERVICES -->\r
        <service ref="mavenProxyService" interface="org.argeo.slc.repo.maven.proxy.MavenProxyService" />\r